Loading...
Searching...
No Matches
dcmtk::log4cplus::SysLogAppender Class Reference

Appends log events to a file. More...

Inheritance diagram for dcmtk::log4cplus::SysLogAppender:

## Additional Inherited Members

Public Member Functions inherited from dcmtk::log4cplus::Appender
void | doAppend (const log4cplus::spi::InternalLoggingEvent &event)
| This method performs threshold checks and invokes filters before delegating actual logging to the subclasses specific `append` method.
virtual log4cplus::tstring | getName ()
| Get the name of this appender.
virtual void | setName (const log4cplus::tstring &name)
| Set the name of this appender.
virtual void | setErrorHandler (OFunique_ptr< ErrorHandler > eh)
| Set the `ErrorHandler` for this Appender.
virtual ErrorHandler * | getErrorHandler ()
| Return the currently set `ErrorHandler` for this Appender.
virtual void | setLayout (OFunique_ptr< Layout > layout)
| Set the layout for this appender.
virtual Layout * | getLayout ()
| Returns the layout of this appender.
void | setFilter (log4cplus::spi::FilterPtr f)
| Set the filter chain on this Appender.
log4cplus::spi::FilterPtr | getFilter () const
| Get the filter chain on this Appender.
LogLevel | getThreshold () const
| Returns this appenders threshold LogLevel.
void | setThreshold (LogLevel th)
| Set the threshold LogLevel.
bool | isAsSevereAsThreshold (LogLevel ll) const
| Check whether the message LogLevel is below the appender's threshold.
Protected Attributes inherited from dcmtk::log4cplus::Appender
OFunique_ptr< Layout > | layout
| The layout variable does not need to be set if the appender implementation has its own layout.
log4cplus::tstring | name
| Appenders are named.
LogLevel | threshold
| There is no LogLevel threshold filtering by default.
log4cplus::spi::FilterPtr | filter
| The first filter in the filter chain.
OFunique_ptr< ErrorHandler > | errorHandler
| It is assumed and enforced that errorHandler is never null.
OFunique_ptr< helpers::LockFile > | lockFile
| Optional system wide synchronization lock.
bool | useLockFile
bool | closed
| Is this appender closed?

## Detailed Description

Appends log events to a file.

### Properties

ident

  First argument to `openlog()`, a string that will be prepended to every message.

facility

  Facility is used in combination with syslog level in first argument to syslog(). It can be one of the supported facility names (case insensitive), e.g. auth, cron, kern, mail, news etc.

host

  Destination syslog host. When this property is specified, messages are sent using UDP to destination host, otherwise messages are logged to local syslog.

port
  Destination port of syslog service on host specified by the host property. The default value is port 514.

Note
  Messages sent to remote syslog using UDP are conforming to RFC5424.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/syslogap.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0